<?php
namespace MageWorx\OptionAdvancedPricing\Block\Config;

/**
 * Interceptor class for @see \MageWorx\OptionAdvancedPricing\Block\Config
 */
class Interceptor extends \MageWorx\OptionAdvancedPricing\Block\Config implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\Element\Template\Context $context, \MageWorx\OptionBase\Helper\Data $baseHelper, \MageWorx\OptionBase\Model\ResourceModel\Option $optionModel, \Magento\Framework\Registry $registry, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $baseHelper, $optionModel, $registry, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
